#
# spec file for package ghc-hamilton
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name hamilton
Name:           ghc-%{pkg_name}
Version:        0.1.0.3
Release:        1.11
Summary:        Physics on generalized coordinate systems using Hamiltonian Mechanics and AD
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ad-devel
BuildRequires:  ghc-ansi-wl-pprint-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-finite-typelits-devel
BuildRequires:  ghc-ghc-typelits-knownnat-devel
BuildRequires:  ghc-hmatrix-devel
BuildRequires:  ghc-hmatrix-gsl-devel
BuildRequires:  ghc-hmatrix-vector-sized-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-typelits-witnesses-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-vector-sized-devel
BuildRequires:  ghc-vty-devel

%description
Physics on generalized coordinate systems using Hamiltonian Mechanics and AD.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/hamilton-examples

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Wed Dec 26 2018 psimons@suse.com
- Add hamilton at version 0.1.0.3.
